Bug 482780 - FEAT: support virtual SCSI disks >2TB
FEAT: support virtual SCSI disks >2TB
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Rik van Riel
Virtualization Bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 22:28 EST by Rik van Riel
Modified: 2009-12-14 16:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that adds support for >2TB SCSI disks (4.33 KB, application/octet-stream)
2009-01-27 22:34 EST, Rik van Riel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1328 normal SHIPPED_LIVE xen bug fix and enhancement update 2009-09-01 06:32:30 EDT

  None (edit)
Description Rik van Riel 2009-01-27 22:28:01 EST
Implement SCSI READ(16), WRITE(16) and SAI READ CAPACITY(16) commands,
so SCSI disks larger than 2TB can work with guests that support these
newer SCSI commands.

I have tested the attached patch with a RHEL 5 full virt guest, by creating, fscking and mounting a 3TB ext3 filesystem, as well as by running Stephen Tweedie's verify-data program from both dom0 and the guest.
Comment 1 Rik van Riel 2009-01-27 22:34:38 EST
Created attachment 330188 [details]
patch that adds support for >2TB SCSI disks
Comment 2 Rik van Riel 2009-01-27 22:48:15 EST
I have submitted the equivalent patch upstream.
Comment 4 Jiri Denemark 2009-03-20 09:52:09 EDT
Fix built into xen-3.0.3-83.el5
Comment 8 Yewei Shao 2009-07-25 21:00:46 EDT
My system is ext3 file system, and I add the file in the: /var/lib/xen/images, when I add 2TB file it is ok, but add 3TB file, it is said the file is too large.
Comment 9 Rik van Riel 2009-07-25 21:16:00 EDT
Which part of the system is telling you the file is too big?

virt-manager?

xend?

something else?

Also, are you on a 32 or 64 bit system?
Comment 10 Yewei Shao 2009-07-25 23:17:10 EDT
I first try to create a image file by using: 
   dd  if=/dev/zero of=example.img bs=4096 count=1 seek=500M (This is for 2TB file and this is ok)
 
And using: ll example.img -h
I will see the file is 2TB
 
Using this way, I try to create 3TB, then the system just report that :

dd:truncating at 3221225472000 bytes in output file 'example.img': File too large.

I do not know this error message belongs to which part. And both 32 and 64 bit system can get the same results.
Comment 11 Rik van Riel 2009-07-25 23:36:58 EDT
2TB is the maximum ext2/ext3 file size limit.  You will have to use a sparse LVM volume to test this.  Comment #29 in bug #479339 shows how to do this.
Comment 12 Yewei Shao 2009-07-28 04:21:48 EDT
Verified on xen-3.0.3-91.el5
Comment 14 errata-xmlrpc 2009-09-02 06:12:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1328.html

Note You need to log in before you can comment on or make changes to this bug.